Bug 618973 - cannot sync rhel6 channel from mount point
cannot sync rhel6 channel from mount point
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 04:57 EDT by Petr Sklenar
Modified: 2011-01-11 07:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-30 13:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-07-28 04:57:27 EDT
Description of problem:
cannot sync rhel6 channel from mount point

Version-Release number of selected component (if applicable):
sat530+updates from rhn
spacewalk-backend-0.5.28-55.el5sat

How reproducible:
always

Steps to Reproduce:
1. on spacewalk: 
A. sync rhel6 from errata.stage
B. rhn-satellite-exporter --channel rhel-x86_64-server-6-beta --dir /tmp/export-rhel6

2. on sat530+ satellite: satellite-sync -m /export/rhel-x86_64-server-6-beta -l 
# works well^
3. satellite-sync -m /export/rhel-x86_64-server-6-beta -c rhel-x86_64-server-6-beta
  
Actual results:
satellite-sync -m /export/rhel-x86_64-server-6-beta -c rhel-x86_64-server-6-beta
04:47:04 Red Hat Network Satellite - file-system synchronization
04:47:04    mp:  /export/rhel-x86_64-server-6-beta
04:47:04    db:  rhnsat/<password>@rhnsat
04:47:04 
04:47:04 Retrieving / parsing channel-families data
04:47:04 channel-families data complete
04:47:04 
04:47:04 Retrieving / parsing arches data
04:47:04 arches data complete
04:47:04 
04:47:04 Retrieving / parsing additional arches data
04:47:04 additional arches data complete
04:47:04 
04:47:04 Retrieving / parsing channel data
04:47:04    p = previously imported/synced channel
04:47:04    . = channel not yet imported/synced
04:47:04    base-channels:
04:47:04       . rhel-x86_64-server-6-beta                3384
04:47:04 
04:47:05 Channel data complete
04:47:05 
04:47:05 Retrieving / parsing blacklists data
04:47:05 blacklists data complete
04:47:05 
04:47:05 Retrieving / parsing product names data
04:47:05 
04:47:05 Retrieving short package metadata (used for indexing)
04:47:05    Retrieving / parsing short package metadata: rhel-x86_64-server-6-beta (3384)
04:47:20 Diffing package metadata (what's missing locally?): rhel-x86_64-server-6-beta
            ________________________________________
Diffing:    +++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

unsubscriptable object


tail /var/mail/root -n 35
Date: Wed, 28 Jul 2010 04:47:20 -0400
From: rhn-satellite@smqa-r210-05.lab.eng.brq.redhat.com
Message-Id: <201007280847.o6S8lK3P022128@smqa-r210-05.lab.eng.brq.redhat.com>
Subject: RHN Management Satellite sync. report from smqa-r210-05.lab.eng.brq.redhat.com
To: root@smqa-r210-05.lab.eng.brq.redhat.com

04:47:20 
SYNC ERROR: unhandled exception occurred:

Exception reported from smqa-r210-05.lab.eng.brq.redhat.com
Time: Wed Jul 28 04:47:20 2010
Exception type exceptions.TypeError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 142, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 212, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 299, in _step_short
    return self.syncer.processShortPackages()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 884, in processShortPackages
    self._diff_packages()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 943, in _diff_packages
    m_channel_packages, m_fs_packages, source=0)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1020, in _process_package
    path = self._get_rel_package_path(nevra, orgid, source=source, md5sum=md5sum)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 965, in _get_rel_package_path
    source=source, md5sum=md5sum)
  File "/usr/share/rhn/server/rhnLib.py", line 201, in get_package_path
    return template % (org, md5sum[:3], name, version, release, dirarch, md5sum,
TypeError: unsubscriptable object


Expected results:
I can sync rhel6 channel

Additional info:

satellite-sync -l works fine:

# satellite-sync -m /export/rhel-x86_64-server-6-beta -l
04:46:58 Red Hat Network Satellite - file-system synchronization
04:46:58    mp:  /export/rhel-x86_64-server-6-beta
04:46:58    db:  rhnsat/<password>@rhnsat
04:46:58 
04:46:58 Retrieving / parsing channel-families data
04:46:58 channel-families data complete
04:46:59 
04:46:59 Retrieving / parsing channel data
04:46:59    p = previously imported/synced channel
04:46:59    . = channel not yet imported/synced
04:46:59    base-channels:
04:46:59       p rhel-x86_64-server-6-beta                3384
04:46:59 
    Import complete:
        Begin time: Wed Jul 28 04:46:58 2010
        End time:   Wed Jul 28 04:46:59 2010
        Elapsed:    0 hours, 0 minutes, 0 seconds
Comment 2 gondarlinux 2011-01-11 07:16:55 EST
I am experiencing similar results but with the RHEL 5 channels:

[root@sat-external ~]# satellite-sync -c rhel-x86_64-server-5 -c rhel-x86_64-server-cluster-5 -c rhel-x86_64-server-vt-5 -c redhat-rhn-satellite-5.4-server-x86_64-5 -c rhn-tools-rhel-x86_64-server-5 -c rhel-x86_64-server-supplementary-5 -c rhel-x86_64-server-cluster-storage-5 -c rhel-x86_64-server-productivity-5
06:59:33 Red Hat Network Satellite - live synchronization
06:59:33    url: https://satellite.rhn.redhat.com
06:59:33    debug/output level: 1
06:59:33    db:  rhnsat/<password>@rhnsat
06:59:33 
06:59:33 Retrieving / parsing channel-families data
06:59:34 channel-families data complete
06:59:35 
06:59:35 Retrieving / parsing arches data
06:59:36 arches data complete
06:59:36 
06:59:36 Retrieving / parsing additional arches data
06:59:36 additional arches data complete
06:59:36 
06:59:36 Retrieving / parsing channel data
07:00:04    p = previously imported/synced channel
07:00:04    . = channel not yet imported/synced
07:00:04    base-channels:
07:00:04       p rhel-x86_64-server-5                     10326 
07:00:04    rhel-x86_64-server-5:
07:00:04       p rhel-x86_64-server-cluster-5              138 
07:00:04       p rhel-x86_64-server-vt-5                   360 
07:00:04       p redhat-rhn-satellite-5.4-server-x86_64-5  223 
07:00:04       p rhn-tools-rhel-x86_64-server-5            459 
07:00:04       p rhel-x86_64-server-supplementary-5        897 
07:00:04       p rhel-x86_64-server-cluster-storage-5      170 
07:00:04       p rhel-x86_64-server-productivity-5        1596 
07:00:04 
07:00:04 Channel data complete
07:00:04 
07:00:04 Retrieving / parsing blacklists data
07:00:05 blacklists data complete
07:00:05 
07:00:05 Retrieving / parsing product names data
07:00:06 product names data complete
07:00:06 
07:00:06 Retrieving short package metadata (used for indexing)
07:00:06    Retrieving / parsing short package metadata: rhel-x86_64-server-5 (10326)
07:00:17    Retrieving / parsing short package metadata: rhel-x86_64-server-cluster-5 (138)
07:00:17    Retrieving / parsing short package metadata: rhn-tools-rhel-x86_64-server-5 (454)
07:00:19    Retrieving / parsing short package metadata: rhel-x86_64-server-cluster-storage-5 (170)
07:00:20    Retrieving / parsing short package metadata: rhel-x86_64-server-productivity-5 (1592)
07:00:25    Retrieving / parsing short package metadata: rhel-x86_64-server-vt-5 (352)
07:00:26    Retrieving / parsing short package metadata: redhat-rhn-satellite-5.4-server-x86_64-5 (223)
07:00:27    Retrieving / parsing short package metadata: rhel-x86_64-server-supplementary-5 (893)
07:00:30 Diffing package metadata (what's missing locally?): rhel-x86_64-server-5
            ________________________________________
Diffing:    ######
User interrupted process.
[root@sat-external ~]# satellite-sync -c rhel-x86_64-server-5 -c rhel-x86_64-server-cluster-5 -c rhel-x86_64-server-vt-5 -c rhn-tools-rhel-x86_64-server-5 -c rhel-x86_64-server-supplementary-5 -c rhel-x86_64-server-cluster-storage-5 -c rhel-x86_64-server-productivity-5
07:00:47 Red Hat Network Satellite - live synchronization
07:00:47    url: https://satellite.rhn.redhat.com
07:00:47    debug/output level: 1
07:00:47    db:  rhnsat/<password>@rhnsat
07:00:47 
07:00:47 Retrieving / parsing channel-families data
07:00:48 channel-families data complete
07:00:49 
07:00:49 Retrieving / parsing arches data
07:00:50 arches data complete
07:00:50 
07:00:50 Retrieving / parsing additional arches data
07:00:50 additional arches data complete
07:00:50 
07:00:50 Retrieving / parsing channel data
07:01:17    p = previously imported/synced channel
07:01:17    . = channel not yet imported/synced
07:01:17    base-channels:
07:01:17       p rhel-x86_64-server-5                     10326 
07:01:17    rhel-x86_64-server-5:
07:01:17       p rhel-x86_64-server-cluster-5              138 
07:01:17       p rhel-x86_64-server-vt-5                   360 
07:01:17       p rhn-tools-rhel-x86_64-server-5            459 
07:01:17       p rhel-x86_64-server-supplementary-5        897 
07:01:17       p rhel-x86_64-server-cluster-storage-5      170 
07:01:17       p rhel-x86_64-server-productivity-5        1596 
07:01:17 
07:01:18 Channel data complete
07:01:18 
07:01:18 Retrieving / parsing blacklists data
07:01:19 blacklists data complete
07:01:19 
07:01:19 Retrieving / parsing product names data
07:01:19 product names data complete
07:01:19 
07:01:19 Retrieving short package metadata (used for indexing)
07:01:19    Retrieving / parsing short package metadata: rhel-x86_64-server-5 (10326)
07:01:32    Retrieving / parsing short package metadata: rhel-x86_64-server-cluster-5 (138)
07:01:33    Retrieving / parsing short package metadata: rhn-tools-rhel-x86_64-server-5 (459)
07:01:35    Retrieving / parsing short package metadata: rhel-x86_64-server-cluster-storage-5 (170)
07:01:36    Retrieving / parsing short package metadata: rhel-x86_64-server-productivity-5 (1592)
07:01:38    Retrieving / parsing short package metadata: rhel-x86_64-server-vt-5 (352)
07:01:40    Retrieving / parsing short package metadata: rhel-x86_64-server-supplementary-5 (895)
07:01:42 Diffing package metadata (what's missing locally?): rhel-x86_64-server-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:54 Diffing package metadata (what's missing locally?): rhel-x86_64-server-cluster-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:54 Diffing package metadata (what's missing locally?): rhn-tools-rhel-x86_64-server-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:54 Diffing package metadata (what's missing locally?): rhel-x86_64-server-cluster-storage-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:55 Diffing package metadata (what's missing locally?): rhel-x86_64-server-productivity-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:57 Diffing package metadata (what's missing locally?): rhel-x86_64-server-vt-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:57 Diffing package metadata (what's missing locally?): rhel-x86_64-server-supplementary-5
            ________________________________________
Diffing:    ######################################## - complete
07:01:58 
07:01:58 Downloading package metadata
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-cluster-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhn-tools-rhel-x86_64-server-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-cluster-storage-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-productivity-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-vt-5 (NONE RELEVANT)
07:02:00    Retrieving / parsing *relevant* package metadata: rhel-x86_64-server-supplementary-5 (NONE RELEVANT)
07:02:02 
07:02:02 Downloading rpm packages
07:02:02    Fetching any missing RPMs: rhel-x86_64-server-5 (10326)
+++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

unsubscriptable object

From /var/log/rhn/rhn_server_satellite.log:


Exception reported from sat-external
Time: Tue Jan 11 07:04:45 2011
Exception type exceptions.TypeError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 143, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 226, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 329, in _step_rpms
    self._packages_report = self.syncer.download_rpms()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1106, in download_rpms
    self._fetch_packages(channel, missing_fs_packages)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1980, in _fetch_packages
    checksum_type = package['checksum_type']
TypeError: unsubscriptable object

Note You need to log in before you can comment on or make changes to this bug.